using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace XLAB
{
    public partial class TpvdklWindow : Window
    {
        private readonly TpvdklWindowViewModel _viewModel;

        internal TpvdklWindow(TipsDirectoryItem tipsItem, TypeSizeDirectoryService service)
        {
            InitializeComponent();
            _viewModel = new TpvdklWindowViewModel(tipsItem, service, new TypeSizeDialogService(this));
            DataContext = _viewModel;
        }

        private void DataGridRow_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            var row = sender as DataGridRow;
            if (row != null)
            {
                row.IsSelected = true;
                row.Focus();
            }
        }

        private async void Window_Loaded(object sender, RoutedEventArgs e)
        {
            await _viewModel.InitializeAsync();
        }
    }
}
